<?php

namespace App\Http\Controllers\front;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use Carbon\Carbon;

class chartController extends Controller
{
    
    
    
    
    public function getPMIData1(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c'; // Replace with your actual API key
        
        // Define an array of series IDs and their corresponding names
        $seriesIds = [
            'GDP' => 'GDPC1', // replace with actual series ID for GDP
            'SP500' => 'SP500', // replace with actual series ID for S&P 500
            'Nasdaq' => 'NASDAQCOM', // replace with actual series ID for Nasdaq
            'DOW' => 'DJIA', // replace with actual series ID for DOW
            // 'RussellK' => 'RUT',
            // 'GOLD' => 'GOLDAMGBD228NLBM', 
            'Gold' => 'M14062USM027NNBR', // replace with actual series ID for Unemployment
        ];
    
        $data = [];
        
        foreach ($seriesIds as $key => $seriesId) {
            $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";
            $response = Http::get($requestUrl);
            
            if ($response->successful()) {
                $data[$key] = $response->json();
            } else {
                // Handle the error accordingly, maybe set an error message in that key
                $data[$key] = ['error' => "Unable to fetch data for series ID {$seriesId}"];
            }
        }
        
        return response()->json($data);
    }
    
    public function index()
    {
        return view('front.index');
    }
    
    public function getIndexChartData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = $request->selectedValue;
        $apiKey = '6e31bd54aab6661188f8eda2342b773c'; // Store API key in .env file
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";
    
        $response = Http::get($requestUrl);
        // dd($response);
        if ($response->successful()) {
            $data = $response->json();
            return response()->json($data);
        } else {
            return response()->json(['error' => 'Unable to fetch data'], 500);
        }
    }

    public function GDP()
    {
        return view('front.gdp');
    }
    
    public function getFilteredGdpData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'GDPC1';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c'; // Replace with your FRED API key
        $filterVariable = 'geo';
        $filterValue = 'GDP_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json&filter_variable={$filterVariable}&filter_value={$filterValue}";

        // Make the API request using Laravel's HTTP facade
        $response = Http::get($requestUrl);

        // Check if the API request was successful
        if ($response->successful()) {
            // Get the JSON response data
            $data = $response->json();

            // Process the data as needed
            
            return response()->json($data); // Return the API response as JSON
        } else {
            // Handle the case where API request fails
            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }

        // $url = "https://api.stlouisfed.org/fred/series/observations?series_id=$seriesId&api_key=$apiKey&file_type=json&filter_variable=$filterVariable&filter_value=$filterValue&realtime_start=1776-07-04&realtime_end=2023-01-05&limit=$limit&observation_end=9999-12-31";
        
        // $curl = curl_init();

        // curl_setopt_array($curl, [
        //     CURLOPT_URL => $url,
        //     CURLOPT_RETURNTRANSFER => true,
        //     CURLOPT_ENCODING => '',
        //     CURLOPT_MAXREDIRS => 10,
        //     CURLOPT_TIMEOUT => 0,
        //     CURLOPT_FOLLOWLOCATION => true,
        //     CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        //     CURLOPT_CUSTOMREQUEST => 'GET',
        // ]);

        // $response = curl_exec($curl);

        // curl_close($curl);
        
        // return response()->json(json_decode($response, true));

    }
    
    public function treasuryYieldSpread()
    {
        return view('front.treasury-yield-spread');
    }
    
    public function getFilteredtysData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'RIFLGFCY10NA';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'GDP_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {
            
            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function PMI()
    {
        return view('front.pmi');
    }
    
    public function getPMIData(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'RPPALLUSNMP';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'RPPALLUSNMP';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function sp500()
    {
        return view('front.sp500');
    }
    
    public function getsp500Data(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'SP500';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'SP500_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    
    public function CLI()
    {
        return view('front.cli');
    }
    
    public function getCLIData(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'USALOLITONOSTSAM';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'leading_indicators_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function USES()
    {
        return view('front.uses');
    }
    
    public function getUSESData(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'PAYEMS';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'USES';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function UJC()
    {
        return view('front.ujc');
    }
    
    public function getUJCData(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'ICSA';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'GDP_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function CPI()
    {
        return view('front.cpi');
    }
    
    public function getCPIData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        // $seriesId = 'CPALTT01USM657N';
        $seriesId = 'CPIAUCSL';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'CPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function PPI()
    {
         
        return view('front.ppi');
    }
    
    public function getPPIData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'PCUOMFGOMFG';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'PPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function unemployment()
    {
        return view('front.unp');
    }
    
    public function getUnemploymentData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'UNRATE';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'CPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function RS()
    {
        return view('front.rs');
    }
    
    public function getRSData(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'RSXFS';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'RS_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    /// Sectors ////
    public function sec1()
    {
        return view('front.sec1');
    }
    
    public function sec11(Request $request)
    {
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'AITINO';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'GDP_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function sec2()
    {
        return view('front.sec2');
    }
    
    public function sec22(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        // $seriesId = 'CPALTT01USM657N';
        $seriesId = 'INDPRO';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'CPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function sec3()
    {
         
        return view('front.sec3');
    }
    
    public function sec33(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'CES6562000101';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'PPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function sec4()
    {
        return view('front.sec4');
    }
    
    public function sec44(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'MEHOINUSA672N';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'CPI_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
    public function sec5()
    {
        return view('front.sec5');
    }
    
    public function sec55(Request $request)
    {
        // dd($request->all());
        $apiUrl = 'https://api.stlouisfed.org/fred/series/observations';
        $seriesId = 'GASREGW';
        $apiKey = '6e31bd54aab6661188f8eda2342b773c';
        $filterVariable = 'geo';
        $filterValue = 'RS_USA';
        $limit = $request->input('filter_variable');
        
        $requestUrl = "{$apiUrl}?series_id={$seriesId}&api_key={$apiKey}&file_type=json";

        $response = Http::get($requestUrl);
        
        if ($response->successful()) {

            $data = $response->json();
            
            return response()->json($data);
        } else {

            return response()->json(['error' => 'Unable to fetch data from the FRED API'], 500);
        }
    }
    
}
