@extends('front.layout.app')
@section('content')

<main>


    <section class="indi-banner">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1 class="indi-ban-head">Unemployment</h1>
                </div>
                <div class="col-12">
                    <p class="indi-ban-para">Overall measure of economic performance.</p>
                </div>
            </div>
        </div>
    </section>

    <section class="indicators">
        <div class="container">
            <div class="row gy-4">
                <div class="col-12 col-lg-6">
                    <h4>Unemployment</h4>
                </div>
                <div class="col-12 col-lg-6">
                    <div class="text-end">
                        <a href="#">View Indicator Description</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-form">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <form action="">
                        <div class="row gy-4">
                            <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="country">Country</label>
                                    <select name="country" id="country" class="country">
                                        <option value="china">China</option>
                                        <option value="united States (US)">United States (US)</option>
                                        <option value="australia">Australia</option>
                                        <option value="argentina">Argentina</option>
                                        <option value="canada">Canada</option>
                                    </select>
                                </div>
                            </div>
                              <!-- <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="component">Component</label>
                                    <select name="component" id="component" class="component">
                                        <option value="total">Total</option>
                                        <option value="total">Total</option>
                                        <option value="total">Total</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-12 col-lg-4">
                                <div class="diff-form">
                                    <label for="measure">Measure</label>
                                    <select name="measure" id="measure" class="measure">
                                        <option value="value">Value</option>
                                        <option value="value 1">Value 1</option>
                                        <option value="value 2">Value 2</option>
                                    </select>
                                </div>
                            </div> -->
                            <div class="col-12 col-lg-4">
                                <div class="form-radio text-center">
                                    <input type="radio" name="years" class="year-checkbox" value="all" checked>
                                    <label for="all">ALL</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="25">
                                    <label for="25y">25Y</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="10">
                                    <label for="10y">10Y</label>
                                    <input type="radio" name="years" class="year-checkbox"  value="5">
                                    <label for="5y">5Y</label>
                                    <input type="radio" name="years" class="year-checkbox" value="3">
                                    <label for="3y">3Y</label>
                                    <input type="radio" name="years" class="year-checkbox" value="1">
                                    <label for="1y">1Y</label>
                                </div>
                            </div>
                              <!-- <div class="col-12 col-lg-4">
                                <div class="text-center">
                                    <label for="average">Moving Average:</label>
                                    <select name="average" id="average" class="average">
                                        <option value="average">off</option>
                                        <option value="average">on</option>
                                    </select>
                                </div>
                            </div> -->
                            <div class="col-12 col-lg-4">
                                <div class="text-center">
                                      <button id="downloadCSV">Download CSV</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>


    <section class="indi-graph">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <!-- <img src="images/indigraph.png" alt=""> -->
                    <!--<div id="chartContainer1" style="height: 600px; width: 100%;"></div>-->
                    <canvas id="uneChart" width="800" height="400"></canvas>
                </div>
            </div>
        </div>
    </section>


    <section class="faq-links">
        <div class="container">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <p>Sources: <a href="#"> Organisation for Economic Co-operation and Development (OECD);</a> <a
                                href="#"> U.S.
                                Bureau of Economic Analysis</a></p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-f-aq">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    Additional Indicator Details
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne"
                                data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <p>Unit: National currency</p>
                                    <p>Multiplier: Millions</p>
                                    <p>Adjustment: Seasonally adjusted; United States seasonally adjusted annual rate
                                    </p>
                                    <p>Note: The base year used to calculate real GDP varies by country.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="indi-content">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h3 class="main-indi-head pad-acc">What is Unemployment?</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">Unemployment, as a fundamental economic indicator, quantifies the
                        percentage and total number of individuals actively seeking employment but currently without
                        work. It provides a snapshot of a nation’s labor market health, reflecting economic conditions
                        and workforce trends.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Methodology</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">The unemployment rate is calculated by dividing the number of
                        unemployed individuals by the total labor force, then multiplying by 100. Absolute unemployment
                        numbers offer a raw count of jobless individuals in an economy. These figures are typically
                        gathered through labor force surveys, administrative records, and statistical sampling methods.
                        The methodology, though varied slightly across countries, adheres to international standards set
                        by organizations like the International Labour Organization (ILO) to ensure comparability.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Global Relevance</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">Unemployment rates and figures are pivotal for assessing economic
                        health globally. They serve as key indicators for policy makers, investors, and analysts to
                        gauge labor market conditions, consumer spending capacity, and overall economic stability.
                        Higher unemployment rates can indicate economic distress, while lower rates often signal a
                        thriving job market and potentially a growing economy.</p>
                </div>
                <div class="col-12">
                    <h3 class="main-indi-head">Interpretation</h3>
                </div>
                <div class="col-12">
                    <p class="main-indi-content">Unemployment data, being a lagging indicator, is best used to validate
                        economic trends predicted by leading indicators. It helps in understanding the aftermath of
                        economic changes rather than forecasting future trends. For instance, a rise in unemployment may
                        confirm a predicted economic slowdown. This data is crucial for retrospective analysis and for
                        adjusting strategies in response to the manifested economic conditions.</p>
                </div>
            </div>
        </div>
    </section>
</main>

@section('script')

<!-- Include jQuery library -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<!-- Include Moment.js library -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script>

<!-- Include Chart.js library -->
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

<!-- Include Chart.js adapter for Moment.js -->
<script src="https://unpkg.com/chartjs-adapter-moment@latest/dist/chartjs-adapter-moment.min.js"></script>

<script>


// $(document).ready(function () {
//     // Call the main function after the document is ready
//     initializeChart();

//     function initializeChart() {
//         var ctx = document.getElementById('uneChart').getContext('2d');
//         var uneChart;
//         var fetchedData;

//         fetchUnEmploymentData();

//         function fetchUnEmploymentData() {
//             var apiUrl = "{{ url('/get-unemployment-data') }}"; // Replace with your actual API endpoint
//             $.ajax({
//                 url: apiUrl,
//                 type: 'GET',
//                 success: function (response) {
//                     console.log('Fetched data:', response);
//                     fetchedData = response.observations;
//                     updateChart('all');
//                 },
//                 error: function (error) {
//                     console.log('Error fetching Unemployment data:', error);
//                 }
//             });
//         }

//         function updateChart(yearRange) {
//             console.log('Updating chart with year range:', yearRange);

//             if (!fetchedData) {
//                 console.log('No data fetched yet. Cannot update chart.');
//                 return;
//             }

//             var filteredData;
//             if (yearRange === 'all') {
//                 filteredData = fetchedData;
//             } else {
//                 var startYear = new Date().getFullYear() - parseInt(yearRange);
//                 filteredData = fetchedData.filter(function (observation) {
//                     var observationYear = new Date(observation.date).getFullYear();
//                     return observationYear >= startYear;
//                 });
//             }

//             if (filteredData.length === 0) {
//                 console.log('No data available for the selected year range.');
//                 return;
//             }

//             var labels = filteredData.map(function (observation) {
//                 return new Date(observation.date).getFullYear().toString();
//             });
//             var values = filteredData.map(function (observation) {
//                 return observation.value;
//             });

//             if (uneChart) {
//                 uneChart.destroy();
//             }

//             uneChart = new Chart(ctx, {
//                 type: 'line',
//                 data: {
//                     labels: labels,
//                     datasets: [{
//                         label: 'Unemployment Data',
//                         data: values,
//                         borderColor: 'rgba(75, 192, 192, 1)',
//                         backgroundColor: 'rgba(75, 192, 192, 0.2)',
//                         borderWidth: 2
//                     }]
//                 },
//                 options: {
//                     scales: {
//                         x: {
//                             title: {
//                                 display: true,
//                                 text: 'Year'
//                             }
//                         },
//                         y: {
//                             beginAtZero: true
//                         }
//                     }
//                 }
//             });
//         }

//         var yearRangeInputs = $('input[name="years"]');
//         var downloadCSVButton = $('#downloadCSV');

//         yearRangeInputs.on('change', function () {
//             var yearRange = $(this).val();
//             updateChart(yearRange);
//         });

//         downloadCSVButton.on('click', function () {
//             downloadCSV(filteredData); // Pass filtered data to downloadCSV
//         });

//         var defaultYearRange = 'all';
//         updateChart(defaultYearRange);

//         function downloadCSV(dataToDownload) {
//             if (!dataToDownload) {
//                 console.log('No data to download.');
//                 return;
//             }

//             var csvContent = "Date,Value\n";

//             dataToDownload.forEach(function (observation) {
//                 var date = new Date(observation.date);
//                 var formattedDate = date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
//                 csvContent += formattedDate + "," + observation.value + "\n";
//             });

//             var blob = new Blob([csvContent], { type: 'text/csv;charset=utf-8;' });
//             var link = document.createElement('a');

//             if (navigator.msSaveBlob) {
//                 navigator.msSaveBlob(blob, 'Unemployment.csv');
//             } else {
//                 link.href = URL.createObjectURL(blob);
//                 link.download = 'Unemployment.csv';
//                 link.style.visibility = 'hidden';
//                 document.body.appendChild(link);
//                 link.click();
//                 document.body.removeChild(link);
//             }
//         }
//     }
// });




$(document).ready(function () {
    // Call the main function after the document is ready
    initializeChart();

    function initializeChart() {
        var ctx = document.getElementById('uneChart').getContext('2d');
        var uneChart;
        var fetchedData;

        // Fetch the data when the page initially loads
        fetchUnEmploymentData();

        function fetchUnEmploymentData() {
            var apiUrl = "{{ url('/get-unemployment-data') }}"; // Replace with your actual API endpoint
            $.ajax({
                url: apiUrl,
                type: 'GET',
                success: function (response) {
                    console.log('Fetched data:', response);
                    fetchedData = response.observations;
                    updateChart('all');
                },
                error: function (error) {
                    console.log('Error fetching Unemployment data:', error);
                }
            });
        }

        function updateChart(yearRange) {
            console.log('Updating chart with year range:', yearRange);
        
            if (!fetchedData) {
                console.log('No data fetched yet. Cannot update chart.');
                return;
            }
        
            var filteredData;
            if (yearRange === 'all') {
                filteredData = fetchedData;
            } else {
                var startYear = new Date().getFullYear() - parseInt(yearRange);
                filteredData = fetchedData.filter(function (observation) {
                    var observationYear = new Date(observation.date).getFullYear();
                    return observationYear >= startYear;
                });
            }
        
            if (filteredData.length === 0) {
                console.log('No data available for the selected year range.');
                return;
            }
        
            var labels = filteredData.map(function (observation) {
                var date = new Date(observation.date);
                // Format the label as "Month Year"
                return date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
            });
            var values = filteredData.map(function (observation) {
                return observation.value;
            });
        
            if (uneChart) {
                uneChart.destroy();
            }
        
            uneChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: labels,
                    datasets: [{
                        label: 'Unemployment Data',
                        data: values,
                        borderColor: 'rgba(75, 192, 192, 1)',
                        backgroundColor: 'rgba(75, 192, 192, 0.2)',
                        borderWidth: 2
                    }]
                },
                options: {
                    scales: {
                        x: {
                            title: {
                                display: true,
                                text: 'Month Year'
                            },
                            ticks: {
                                maxRotation: 0, // Rotate x-axis labels if needed
                                autoSkip: true, // Automatically skip labels to fit
                                maxTicksLimit: 12, // Maximum number of visible ticks on the x-axis
                            }
                        },
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }

        var yearRangeInputs = $('input[name="years"]');
        var downloadCSVButton = $('#downloadCSV');

        yearRangeInputs.on('change', function () {
            var yearRange = $(this).val();
            updateChart(yearRange);
        });

        downloadCSVButton.on('click', function () {
            var yearRange = $('input[name="years"]:checked').val();
            downloadCSV(yearRange);
        });

        var defaultYearRange = 'all';
        updateChart(defaultYearRange);

        function downloadCSV(yearRange) {
            if (!fetchedData) {
                console.log('No data fetched yet. Cannot download CSV.');
                return;
            }

            var filteredData;
            if (yearRange === 'all') {
                filteredData = fetchedData;
            } else {
                var startYear = new Date().getFullYear() - parseInt(yearRange);
                filteredData = fetchedData.filter(function (observation) {
                    var observationYear = new Date(observation.date).getFullYear();
                    return observationYear >= startYear;
                });
            }

            var csvContent = "Date,Value\n";

            filteredData.forEach(function (observation) {
                var date = new Date(observation.date);
                var formattedDate = date.toLocaleDateString('en-US', { year: 'numeric', month: 'short' });
                csvContent += formattedDate + "," + observation.value + "\n";
            });

            var blob = new Blob([csvContent], { type: 'text/csv;charset=utf-8;' });
            var link = document.createElement('a');

            if (navigator.msSaveBlob) {
                navigator.msSaveBlob(blob, 'Unemployment.csv');
            } else {
                link.href = URL.createObjectURL(blob);
                link.download = 'Unemployment.csv';
                link.style.visibility = 'hidden';
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        }
    }
});



</script>

@endsection
@endsection