<!DOCTYPE html>
<html>
   <head>
      <title> Home </title>
      <meta charset="UTF-8">
      <meta name="keywords" content="HTML, CSS, JavaScript">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
      <link rel="icon" href="<?php echo e(URL::asset('assets/front/images/fav-icon.png')); ?>" type="image/png" sizes="">
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui/dist/fancybox.css" />
      <link href="https://site-assets.fontawesome.com/releases/v6.0.0/css/all.css" rel="stylesheet">
      <link href="<?php echo e(URL::asset('assets/front/css/custom.css')); ?>" rel="stylesheet" type="text/css">
      <link rel="stylesheet" href="<?php echo e(URL::asset('assets/front/css/responsive.css')); ?>">
   </head>
   <body>
      <header>
         <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container">
               <a class="navbar-brand" href="<?php echo e(route('/')); ?>"><img src="<?php echo e(URL::asset('assets/front/images/logo.png')); ?>" class="img-fluid" alt=""></a>
               <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                  data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                  aria-expanded="false" aria-label="Toggle navigation">
               <span class="navbar-toggler-icon"><i class="fa-solid fa-bars" style="color: #ffffff;"></i>
               </span>
               </button>
               <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <ul class="navbar-nav mx-auto mb-2 mb-lg-0">
                     <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="<?php echo e(route('/')); ?>">Home</a>
                     </li>
                     <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle indi-drop" type="button"
                           id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                        Economical Indicators
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                           <div class="row">
                              <div class="col-12 col-lg-4">
                                 <ul class="">
                                    <li>
                                       <h2 class=" main-head-header">Leading</h2>
                                    </li>
                                    <li><a class="dropdown-item" href="1.php">U.S. Treasury Yield Spread</a>
                                    </li>
                                    <li><a class="dropdown-item" href="2.php">Purchasing Manager Index (PMI)</a>
                                    </li>
                                    <li><a class="dropdown-item" href="3.php">Consumer Confidence Index
                                       (CCI)</a>
                                    </li>
                                    <li><a class="dropdown-item" href="4.php">Composite Leading Indicator (CLI)</a></li>
                                    
                                 </ul>
                              </div>
                              <div class="col-12 col-lg-4">
                                 <ul class="">
                                    <li>
                                       <h2 class=" main-head-header">Coincident</h2>
                                    </li>
                                    <li><a class="dropdown-item" href="5.php">U.S. Employment Situation</a></li>
                                    <li><a class="dropdown-item" href="6.php">U.S. Jobless Claims</a></li>
                                    <li><a class="dropdown-item" href="7.php">Consumer Price Index (CPI)</a>
                                    </li>
                                    <li><a class="dropdown-item" href="8.php">Producer Price Index (PPI)</a>
                                    </li>
                                    
                                 </ul>
                              </div>
                              <div class="col-12 col-lg-4">
                                 <ul class="">
                                    <li>
                                       <h2 class=" main-head-header">Lagging</h2>
                                    </li>
                                    <li><a class="dropdown-item" href="<?php echo e(route('gdp')); ?>">Real Gross Domestic Product
                                       (GDP)</a>
                                    </li>
                                    <li><a class="dropdown-item" href="10.php">Unemployment</a></li>
                                    <li><a class="dropdown-item" href="11.php">Retail Sales</a></li>
                                    <!-- <li><a class="dropdown-item" href=".php">Government Debt</a></li> -->
                                 </ul>
                              </div>
                           </div>
                        </ul>
                     </div>
                     <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('featured')); ?>">Featured</a>
                     </li>
                     <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('benefits')); ?>">Benefits</a>
                     </li>
                  </ul>
                  <div class="d-flex left" role="search">
                     <div class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('faq')); ?>">FAQs</a>
                     </div>
                     <div class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('login')); ?>">Log in</a>
                     </div>
                     <div class="but2-end">
                        <button class="btn" onclick="location.href = '<?php echo e(route('register')); ?>';">Signup</button>
                     </div>
                  </div>
               </div>
            </div>
         </nav>
      </header>

        <?php echo $__env->yieldContent('content'); ?>

      <div class="footer-main">
         <footer>
            <div class="container">
               <div class="row justify-content-center">
                  <div class="col-12">
                     <h1>Subscribe our Newsletter</h1>
                  </div>
                  <div class="col-12">
                     <p>Lorem ipsum dolor sit amet, consectetur adipisicing.</p>
                  </div>
                  <div class="col-12 col-lg-10">
                     <div class="e-mail">
                        <input type="email" name="email" id="email" placeholder="Your email address">
                        <div class="search">
                           <a href="#">Send</a>
                        </div>
                     </div>
                  </div>
                  <div class="col-12">
                     <div class="logo">
                        <img src="<?php echo e(URL::asset('assets/front/images/logo-foo.png')); ?>" alt="" class="img-fluid">
                     </div>
                  </div>
                  <div class="col-7">
                     <div class="links">
                        <a href="<?php echo e(route('featured')); ?>">Features</a>
                        <a href="<?php echo e(route('benefits')); ?>">Benefits</a>
                        <a href="<?php echo e(route('faq')); ?>">FAQs</a>
                        <a href="<?php echo e(route('login')); ?>">Login</a>
                        <a href="<?php echo e(route('register')); ?>">Signup</a>
                     </div>
                  </div>
               </div>
            </div>
         </footer>
         <div class="ftr-btm">
            <div class="container">
               <div class="row gy-4">
                  <div class="col-12 col-lg-6">
                     <div class="btm-icons d-flex">
                        <h5>Follow Us</h5>
                        <a href="#"><i class="fa-brands fa-facebook-f" style="color: #fff;"></i></a>
                        <a href="#"><i class="fa-brands fa-linkedin-in" style="color: #fff;"></i></a>
                        <a href="#"><i class="fa-brands fa-instagram" style="color: #fff;"></i></a>
                     </div>
                  </div>
                  <div class="col-12 col-lg-6 text-end">
                     <div class="btm-links">
                        <!-- <a href="terms-of-services.php">Terms of service</a> -->
                        <a href="<?php echo e(route('terms-of-services')); ?>">Terms of service</a>
                        <a href="<?php echo e(route('privacy-policy')); ?>">Privacy Policy</a>
                        <!-- <a href="#">Site Map</a> -->
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
         integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.min.js"
         integrity="sha384-BBtl+eGJRgqQAUMxJ7pMwbEyER4l1g+O15P+16Ep7Q9Q+zqX6gSbd85u4mG4QzX+" crossorigin="anonymous"></script>
      <script src="https://canvasjs.com/assets/script/jquery-1.11.1.min.js"></script>
      <script src="<?php echo e(URL::asset('assets/front/js/custom.js')); ?>"></script>
      <script src="https://cdn.canvasjs.com/jquery.canvasjs.min.js"></script>
      <?php echo $__env->yieldContent('script'); ?>
   </body>
</html><?php /**PATH D:\xampp\htdocs\reyan\resources\views/front/layout/app.blade.php ENDPATH**/ ?>